GZDoom 4.11.0

News about ZDoom, its child ports, or any closely related projects.
[ZDoom Home] [Documentation (Wiki)] [Official News] [Downloads] [Discord]
[🔎 Google This Site]

Moderator: GZDoom Developers

Laerrus
Posts: 16
Joined: Mon Oct 02, 2023 12:27 am
Preferred Pronouns: No Preference
Operating System Version (Optional): Win 7
Graphics Processor: Not Listed

Re: GZDoom 4.11.0

Post by Laerrus »

"sanitized the light mode selection to make it a first class mapping feature by separating map dependent light mode setup from performance related user preferences for the default setting."

The two stand alone games I am working on are designed around the Legacy (4) setting of the sector light modes. They look horrific in the new 4.11 release. I tried the mapinfo commands but they dont over ride the simplified 3 choice settings now avaliable.

I understand why people want a "Doom accurate" setting, but getting rid of the settings that look amazing dosnt make sense.

Does this mean everyone who wants that more dynamic lighting system has to stick to 4.10?

I have lurked for decades and never needed to make an account till now.
Laerrus
Posts: 16
Joined: Mon Oct 02, 2023 12:27 am
Preferred Pronouns: No Preference
Operating System Version (Optional): Win 7
Graphics Processor: Not Listed

Re: GZDoom 4.11.0

Post by Laerrus »

Okay I figures ir out.

You need a custom local config ini file inside your gzdoom folder.

Find Gl_lightmode, its next to gl_menublur

Change it to gl_maplight mode 4 or whatever mode you use.

This will lock it in place.
Professor Hastig
Posts: 234
Joined: Mon Jan 09, 2023 2:02 am
Graphics Processor: nVidia (Modern GZDoom)

Re: GZDoom 4.11.0

Post by Professor Hastig »

Laerrus wrote: Mon Oct 02, 2023 12:33 am The two stand alone games I am working on are designed around the Legacy (4) setting of the sector light modes. They look horrific in the new 4.11 release. I tried the mapinfo commands but they dont over ride the simplified 3 choice settings now avaliable.

You shouldn't rely on gl_lightmode or gl_maplightmode for your games.
If you need a specific light mode in your map, you should set it in MAPINFO - add a 'lightmode = 4' line to all your maps and it will forever select the right light mode for all your users - no more questions, no more problems, and no more forcing users to change their preference.
gl_maplightmode is for quick testing which lightmode looks best, not for telling users what to set. ;)
User avatar
Redneckerz
Spotlight Team
Posts: 1061
Joined: Mon Nov 25, 2019 8:54 am
Graphics Processor: Intel (Modern GZDoom)

Re: GZDoom 4.11.0

Post by Redneckerz »

grisina_hydra wrote: Sat Sep 30, 2023 5:46 am Why the fu*k remove the SoftPoky Rendering options in newer Gz Dooms. My patato pc graphic card died years ago and I can't open render mode "Open GL" ,"Vulkan, "Open Gl ES". My 14 years old pc cant support those suc*ers render option only support SoftPoly option. An you guys remove it and I'm pissed . I cant open some mods and Pk3 cause of you change render system options. Bring it back the SoftPoly render option for newer Gz Dooms!!!
Then don't use GZDoom, period. The GLES option literally exists for low end users and Softpoly wouldn't performance adequately any way on any map with significant detail.

Luckily, there are alternatives, such as RZDoom, which is a ZDoom 2.81 clone, or any of drfrag's ZDoom forks.

And if your GPU died years ago, consider either investing in a new PC, or, if money is scarce, any second hand GPU with sufficient specs to run a GLES renderer would do fine or atleast has OpenGL 3 support. That is 14-15 year old hardware anyway, hard to believe even such hardware asks a premium price no matter where you live.
Professor Hastig
Posts: 234
Joined: Mon Jan 09, 2023 2:02 am
Graphics Processor: nVidia (Modern GZDoom)

Re: GZDoom 4.11.0

Post by Professor Hastig »

Wow, I completely missed that rant. I smell a troll here as it's hard to take that seriously. No sane user would act like that because such a broken system would be unable to run much of any software at all these days.

However, if it is serious, if I were a developer, I'd happily lose a customer like that without a second thought. These are the people that demand work that creates no return on investment. It makes zero economical sense to develop for 14 year old systems in the hand of users that even refuse to upgrade years after a major component failed.

BTW, Softpoly was removed over a year ago and already missing from GZDoom 4.10.0, so why the rant now?
User avatar
Graf Zahl
Lead GZDoom+Raze Developer
Lead GZDoom+Raze Developer
Posts: 49091
Joined: Sat Jul 19, 2003 10:19 am
Location: Germany

Re: GZDoom 4.11.0

Post by Graf Zahl »

Thanks for bringing that post to my attention, I missed it because it's the last one on the first page.
I'd have to agree about the suspicion that this might be a troll, but if it is not let me clearly make one statement:

Coming here all barking and saying you run some ancient computer and how we dare removing support for older hardware (because no developer has time to maintain this code) is never going to work. I just repeat what I said in the past about these things:

This is a hobby project, nobody gets paid for it. If you need some fringe feature, we'll happily accomodate you if you pay for that feature. But then, a new computer will cost a fraction of that, so please ugrade that piece of junk!
_mental_
 
 
Posts: 3814
Joined: Sun Aug 07, 2011 4:32 am

Re: GZDoom 4.11.0

Post by _mental_ »

macOS build has been updated to 4.11.0a. It has compatibility with older OS versions fixed, and it contains the latest soundfont file.
yum13241
Posts: 781
Joined: Mon May 10, 2021 8:08 pm
Preferred Pronouns: He/Him
Operating System Version (Optional): EndeavorOS (basically Arch)
Graphics Processor: Intel with Vulkan/Metal Support

Re: GZDoom 4.11.0

Post by yum13241 »

At least the fullbright cheat "Build" lighting mode was removed. (or that's how I understand it, even though you can just use r_visibility 666)
Also, please rename the "Software" mode to "ZDoom", or "ZDoom Software", or anything but "Software".
Someone who's trying to get vanilla-like lighting might get confused, and then say "Why does this look wrong?". Even Dwars got confused.
User avatar
Kinsie
Posts: 7402
Joined: Fri Oct 22, 2004 9:22 am
Graphics Processor: nVidia with Vulkan support
Location: MAP33

Re: GZDoom 4.11.0

Post by Kinsie »

grisina_hydra wrote: Sat Sep 30, 2023 5:46 am Why the fu*k remove the SoftPoky Rendering options in newer Gz Dooms. My patato pc graphic card died years ago and I can't open render mode "Open GL" ,"Vulkan, "Open Gl ES". My 14 years old pc cant support those suc*ers render option only support SoftPoly option. An you guys remove it and I'm pissed . I cant open some mods and Pk3 cause of you change render system options. Bring it back the SoftPoly render option for newer Gz Dooms!!!
1.) Softpoly had been abandoned and was broken in a number of crucial ways.
2.) Expecting every piece of modern software to run on a 14-year-old machine is utterly ridiculous. If you can't afford anything new or from the last few years, I heartily encourage you to hit up your local computer recycling center to hit up something from within the last couple of presidential administrations on the cheap.
3.) We are by and large all adults here, you can say "fuck" and "suck" without anyone fainting and needing the smelling salts.

Return to “ZDoom (and related) News”